<div class="cover">
    <div class="scale-name">{{data.label}}</div>
    <app-octave [scale]="data.activeKeys" [options]="octaveConfigs"></app-octave>
</div>
<div class="chord-cover">
    <mat-tab-group animationDuration="0ms">
        <mat-tab label="Chords">
            <ng-template mat-tab-label>
                Chords
            </ng-template>
            <div class="chords">

                <div class="chords-row" *ngFor="let chordRoot of getCurrentChordsRoots()">
                    <div class="chord decrease" *ngFor="let chord of currentChords.get(chordRoot)">
                        <mat-expansion-panel class="fadein delay">
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    {{chord.name}}
                                </mat-panel-title>
                                <img src="assets/icons/button.png" class="click-icon" (click)="addToPractice(chord, $event)"/>
                            </mat-expansion-panel-header>
                            <app-octave [scale]="chord.activeKeys" [options]="chordConfigs"></app-octave>
                        </mat-expansion-panel>
                    </div>
                </div>
            </div>
        </mat-tab>
        <mat-tab>
            <ng-template mat-tab-label>
                Practice <div class="counter">{{practiceChords.length}}</div>
            </ng-template>
            <div class="chords">
                <ng-template [ngIf]="practiceChords.length">
                    <div class="chord decrease inline-block fadein" *ngFor="let chord of this.practiceChords">

                        <div class="practice-chord-header">
                            {{chord.name}}
                            <img src="assets/icons/line.png" class="click-icon" (click)="removeFromPractice(chord, $event)"/>
                        </div>

                        <app-octave [scale]="chord.activeKeys" [options]="chordConfigs"></app-octave>
                    </div>
                </ng-template>
                <ng-template [ngIf]="!practiceChords.length">
                    <div class="paragraph paragraph_note fadein">Choose chords for practice in "Chords" tab.</div>
                </ng-template>
            </div>
        </mat-tab>
    </mat-tab-group>
</div>
<img class="close fadein delay" src="../../../assets/icons/signs.png" alt="" (click)="close()">
